Bug 258154 - mail/postfixadmin: Update to 3.4-dev
Summary: mail/postfixadmin: Update to 3.4-dev
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Neel Chauhan
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2021-08-29 21:36 UTC by Rin Morningstar
Modified: 2021-09-21 03:06 UTC (History)
2 users (show)

See Also:


Attachments
Updates port to latest commit on master branch (6.67 KB, text/plain)
2021-08-29 21:36 UTC, Rin Morningstar
ports.maintainer: maintainer-approval+
Details
portlint+poudriere log for patch (41.30 KB, text/plain)
2021-08-29 21:39 UTC, Rin Morningstar
no flags Details
Updates port to commit cd73f275 (2021 Sep 02) (6.83 KB, patch)
2021-09-03 04:41 UTC, Rin Morningstar
ports.maintainer: maintainer-approval+
Details | Diff
portlint/poudriere testport log for 3.4.d.20210902 (41.30 KB, text/plain)
2021-09-03 04:42 UTC, Rin Morningstar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rin Morningstar 2021-08-29 21:36:09 UTC
Created attachment 227540 [details]
Updates port to latest commit on master branch

Updates the port to follow master instead of a tagged version due to development velocity.  If truly necessary, I can create a postfixadmin33 port, but the main PFA port should follow master.
Comment 1 Rin Morningstar 2021-08-29 21:39:47 UTC
Created attachment 227542 [details]
portlint+poudriere log for patch
Comment 2 Rin Morningstar 2021-09-03 04:41:23 UTC
Created attachment 227632 [details]
Updates port to commit cd73f275 (2021 Sep 02)

Revised update. Same reason as before, just a newer commit.
Comment 3 Rin Morningstar 2021-09-03 04:42:32 UTC
Created attachment 227633 [details]
portlint/poudriere testport log for 3.4.d.20210902
Comment 4 Neel Chauhan freebsd_committer 2021-09-04 20:13:50 UTC
Committed!
Comment 5 commit-hook freebsd_committer 2021-09-04 20:14:28 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=69e6645e9b2dfab702d73a264992fc7f1f1b7b66

commit 69e6645e9b2dfab702d73a264992fc7f1f1b7b66
Author:     Rin Morningstar <ports.maintainer@evilphi.com>
AuthorDate: 2021-09-04 20:13:23 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-09-04 20:13:23 +0000

    mail/postfixadmin: Update to 3.4-dev

    PR:     258154

 mail/postfixadmin/Makefile                   | 17 +++++++-------
 mail/postfixadmin/distinfo                   |  6 ++---
 mail/postfixadmin/files/patch-config.inc.php |  4 ++--
 mail/postfixadmin/pkg-plist                  | 34 +++++++++++++++++-----------
 4 files changed, 35 insertions(+), 26 deletions(-)
Comment 6 Rin Morningstar 2021-09-05 00:06:43 UTC
The commit was incomplete.  The PKGNAMESUFFIX=${PHP_PKGNAMESUFFIX} line in the portname section was omitted.
Comment 7 Neel Chauhan freebsd_committer 2021-09-05 00:08:47 UTC
Your patch does not contain PKGNAMESUFFIX. Feel free to submit an updated patch to include PKGNAMESUFFIX and I can commit it.
Comment 8 Rin Morningstar 2021-09-05 00:10:58 UTC
Ya I just realized the submitted patch didn't include the flavoring I'd done later.  Thanks!
Comment 9 CTS - FreeBSD Team 2021-09-16 09:02:10 UTC
(In reply to Rin Morningstar from comment #0)

I'd definitely prefer to have a stable release port of postfixadmin. I have a few clients using it and some have "a bad feeling" about dev versions, they'd prefer to stay with the official released versions. I'd be very happy when i could offer them this option.
Comment 10 Rin Morningstar 2021-09-17 06:12:08 UTC
(In reply to CTS - FreeBSD Team from comment #9)

Fair enough.  I'll get this into the tree.
Comment 11 Rin Morningstar 2021-09-21 03:06:48 UTC
(In reply to CTS - FreeBSD Team from comment #9)

ports/258651